Package twisted :: Package scripts :: Module conch :: Class SSHUnixServerProtocol |
[show private | hide private]
[frames | no frames]

## Class SSHUnixServerProtocol

    BaseProtocol --+
                   |
            Protocol --+
                       |
           Ephemeral --+
                       |
                  Pynana --+
                           |
                      Canana --+
                               |
                              SSHUnixServerProtocol

Method Summary
| `__init__(self)`
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| `callExpressionReceived(self, obj)` (inherited from `Pynana`)
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made. (inherited from `Canana`)
| ``connectionReady`(self)` Surrogate for connectionMade Called after protocol negotiation. (inherited from `Pynana`)
| `dataReceived(self, chunk)` (inherited from `Canana`)
| ``expressionReceived`(self, lst)` Called when an expression (list, string, or int) is received.
| `getChannel(self, channelID)`
| `gotItem(self, item)` (inherited from `Pynana`)
| `haveChannel(self, channelID)`
| `returnDeferred(self, d)`
| `sendEncoded(self, obj)` (inherited from `Canana`)
| `sendMessage(self, vocabName, *tup)`
| `server_adjustWindow(self, lst)`
| `server_openChannel(self, lst)`
| `server_sendClose(self, lst)`
| `server_sendData(self, lst)`
| `server_sendEOF(self, lst)`
| `server_sendExtended(self, lst)`
| `server_sendGlobalRequest(self, lst)`
| `server_sendRequest(self, lst)`

Method Details

### expressionReceived(self, lst) Called when an expression (list, string, or int) is received. Overrides: `twisted.spread.banana.Pynana.expressionReceived` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:16:51 2003 | http://epydoc.sf.net